Retrieving Article Views GET

The DynaMed/DynaMedex GET /v1/user/article-views endpoint returns a list of the most recently viewed article titles, ids and time stamps. Before you can execute an article views call, you must have a personalized access token for the request header. The user ID, product family and user profile are obtained from the token. You may also indicate a maximum items returned limit.

Basic Retrieving of Article Views

Request

GET https://apis.ebsco.com/medsapi-dynamed/v1/user/article-views&maxItems=2

Response

{
 "_metadata": {
   "totalItems": 1,
   "links" [
        {
            "rel": "self",
            "href": "https://apis.ebsco.com/medsapi-dynamed/user/article-views&maxItems=2"
        }
    ],
  },
  "items": [
   {
      "id": "t316887",
      "title": "Diets for Weight Loss",
      "accessTime": "2023-04-18T11:40:59Z",
      "productId": "dmp",
      "slug": "/management/diets-for-weight-loss"
    }
  ]
}

Query Parameters

  • maxItems - Maximum number of items to return.

Response Values

  • id - The id of the article that is being updated.
  • title - The title of the article.
  • accessTime - The time when the article was accessed.
  • productId - product - dmp for DynaMed
  • slug - When available, the relative path to the article.

Error Response Codes

The DynaMed GET article views endpoint can return one of the error response codes.


Did this page help you?